com.genesyslab.wfm7.API.service.forecast761

## Class FrcTemplateHeader

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast761.FrcTemplateHeader

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcTemplateHeader
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private FrcActivity[]` | `activities` Activities associated with the template
    `private int` | `activitiesArraySize` Activities array size
    `private double` | `end` Template end date
    `private java.lang.String` | `name` Template name
    `private int` | `parentId` Parent ID (Site/BU)
    `private int` | `parentType` Parent type
    `private double` | `start` Template start date
    `private int` | `templateId` Template ID
    `private int` | `type` Template type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcTemplateHeader()`
    `FrcTemplateHeader(int templateId, java.lang.String name, int type, int parentType, int parentId, double start, double end, int activitiesArraySize, FrcActivity[] activities)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `FrcActivity[]` | `getActivities()` Gets the activities value for this FrcTemplateHeader.
    `int` | `getActivitiesArraySize()` Gets the activitiesArraySize value for this FrcTemplateHeader.
    `double` | `getEnd()` Gets the end value for this FrcTemplateHeader.
    `java.lang.String` | `getName()` Gets the name value for this FrcTemplateHeader.
    `int` | `getParentId()` Gets the parentId value for this FrcTemplateHeader.
    `int` | `getParentType()` Gets the parentType value for this FrcTemplateHeader.
    `double` | `getStart()` Gets the start value for this FrcTemplateHeader.
    `int` | `getTemplateId()` Gets the templateId value for this FrcTemplateHeader.
    `int` | `getType()` Gets the type value for this FrcTemplateHeader.
    `int` | `hashCode()`
    `void` | `setActivities(FrcActivity[] activities)` Sets the activities value for this FrcTemplateHeader.
    `void` | `setActivitiesArraySize(int activitiesArraySize)` Sets the activitiesArraySize value for this FrcTemplateHeader.
    `void` | `setEnd(double end)` Sets the end value for this FrcTemplateHeader.
    `void` | `setName(java.lang.String name)` Sets the name value for this FrcTemplateHeader.
    `void` | `setParentId(int parentId)` Sets the parentId value for this FrcTemplateHeader.
    `void` | `setParentType(int parentType)` Sets the parentType value for this FrcTemplateHeader.
    `void` | `setStart(double start)` Sets the start value for this FrcTemplateHeader.
    `void` | `setTemplateId(int templateId)` Sets the templateId value for this FrcTemplateHeader.
    `void` | `setType(int type)` Sets the type value for this FrcTemplateHeader.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### templateId

          private int templateId

      Template ID

    - #### name

          private java.lang.String name

      Template name

    - #### type

          private int type

      Template type
      See Also:
        `EFrcTemplateTypes`

    - #### parentType

          private int parentType

      Parent type
      See Also:
        `EFrcParentTypes`

    - #### parentId

          private int parentId

      Parent ID (Site/BU)

    - #### start

          private double start

      Template start date

    - #### end

          private double end

      Template end date

    - #### activitiesArraySize

          private int activitiesArraySize

      Activities array size

    - #### activities

          private FrcActivity[] activities

      Activities associated with the template

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcTemplateHeader

          public FrcTemplateHeader()

    - #### FrcTemplateHeader

          public FrcTemplateHeader(int templateId,
                           java.lang.String name,
                           int type,
                           int parentType,
                           int parentId,
                           double start,
                           double end,
                           int activitiesArraySize,
                           FrcActivity[] activities)

  - ### Method Detail

    - #### getTemplateId

          public int getTemplateId()

      Gets the templateId value for this FrcTemplateHeader.
      Returns:
        templateId

    - #### setTemplateId

          public void setTemplateId(int templateId)

      Sets the templateId value for this FrcTemplateHeader.
      Parameters:
        `templateId` -

    - #### getName

          public java.lang.String getName()

      Gets the name value for this FrcTemplateHeader.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name value for this FrcTemplateHeader.
      Parameters:
        `name` -

    - #### getType

          public int getType()

      Gets the type value for this FrcTemplateHeader.
      Returns:
        type

    - #### setType

          public void setType(int type)

      Sets the type value for this FrcTemplateHeader.
      Parameters:
        `type` -

    - #### getParentType

          public int getParentType()

      Gets the parentType value for this FrcTemplateHeader.
      Returns:
        parentType

    - #### setParentType

          public void setParentType(int parentType)

      Sets the parentType value for this FrcTemplateHeader.
      Parameters:
        `parentType` -

    - #### getParentId

          public int getParentId()

      Gets the parentId value for this FrcTemplateHeader.
      Returns:
        parentId

    - #### setParentId

          public void setParentId(int parentId)

      Sets the parentId value for this FrcTemplateHeader.
      Parameters:
        `parentId` -

    - #### getStart

          public double getStart()

      Gets the start value for this FrcTemplateHeader.
      Returns:
        start

    - #### setStart

          public void setStart(double start)

      Sets the start value for this FrcTemplateHeader.
      Parameters:
        `start` -

    - #### getEnd

          public double getEnd()

      Gets the end value for this FrcTemplateHeader.
      Returns:
        end

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this FrcTemplateHeader.
      Parameters:
        `end` -

    - #### getActivitiesArraySize

          public int getActivitiesArraySize()

      Gets the activitiesArraySize value for this FrcTemplateHeader.
      Returns:
        activitiesArraySize

    - #### setActivitiesArraySize

          public void setActivitiesArraySize(int activitiesArraySize)

      Sets the activitiesArraySize value for this FrcTemplateHeader.
      Parameters:
        `activitiesArraySize` -

    - #### getActivities

          public FrcActivity[] getActivities()

      Gets the activities value for this FrcTemplateHeader.
      Returns:
        activities

    - #### setActivities

          public void setActivities(FrcActivity[] activities)

      Sets the activities value for this FrcTemplateHeader.
      Parameters:
        `activities` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.